Name:           python-pretix-zugferd
Version:        2.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Invoice renderer that annotates pretix invoices with ZUGFeRD data

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/pretix-zugferd/
Source:         %{pypi_source pretix_zugferd}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pretix-zugferd' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pretix-zugferd
Summary:        %{summary}

%description -n python3-pretix-zugferd %_description


%prep
%autosetup -p1 -n pretix_zugferd-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pretix-zugferd -f %{pyproject_files}


%changelog
%autochangelog